/* contact page */

section.contact {
  width: 100%;
}

.contact_container {
  width: 100%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 2rem 0;
}

.right-section {
  width: 48%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.left-section {
  width: 48%;
  height: auto;
}

.left-section img {
  width: 100%;
  border-radius: 20px;
}

.right-section h1 {
  font-family: 'Outfit', sans-serif;
  font-size: 2.5rem;
  font-weight: 600;
  color: #121C52;
  max-width: 100%;
  margin-bottom: 20px;
}

input,
textarea {
  width: 100%;
  padding: 12px;
  border: 0.5px solid #121C52;
  border-radius: 4px;
  resize: vertical;
  margin-bottom: 20px;
}

input,
textarea:focus {
  outline: none;
}

input::placeholder,
textarea::placeholder {
  font-family: 'Poppins', sans-serif;
  font-size: 0.9rem;
  font-weight: 400;
  color: #121C52;
}

.submit_btn {
  background-color: #121C52;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  width: 100%;
  font-weight: bold;
}

.submit_btn:hover {
  background-color: #0056b3;
  transition: 0.3s;
}


/* google map */

.map {
  width: 100%;
  height: 600px;
}

/* info section */

.info-section {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  margin-top: 40px;
  padding: 20px;
  flex-wrap: wrap;
}

.info-box {
  flex: 1 1 30%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  border: 1px solid #ccc;
  padding: 20px;
  border-radius: 20px;
}

.social-media {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.info-box i {
  font-size: 28px;
  color: #007bff;
  margin-bottom: 10px;
}

.info-box h4 {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 6px;
}

.info-box a {
  font-size: 16px;
  color: #555;
  text-decoration: none;
}

.social-icons {
  width: 100%;
  display: flex;
  gap: 12px;
  justify-content: space-evenly;
}

.social-icons a {
  text-decoration: none;
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border: 1px solid #007bff;
  border-radius: 50%;
  color: #007bff;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.social-icons i {
  font-size: 18px;
  margin-top: 10px;
}

.social-icons a:hover {
  background-color: #121C52;
  color: #fff;
   cursor: pointer;
  transform: translateY(-5px) scale(1.2);
  
  transition: all 0.3s ease-in-out;
  border: 1px solid white;
}

.social-icons a:hover i{
  color: #fff;
}




/* Responsive */
@media (max-width: 768px) {

  .contact_container {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 0;
  }

  .right-section {
    width: 100%;
  }

  .left-section {
    width: 100%;
    margin-bottom: 10px;
  }

  .info-section {
    flex-direction: column;
    align-items: center;
  }

  .info-box {
    width: 100%;
    margin-bottom: 20px;
  }
}